This endpoint is still on our legacy API.
Get door monitor status (closed / open) for requested sensors.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Write Sensors under the Equipment category when creating or editing an API token. Learn More.
curl --request POST \
--url https://api.samsara.com/v1/sensors/door \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sensors": [
122
]
}
'{
"groupId": 101,
"sensors": [
{
"doorClosed": true,
"doorStatusTime": "2019-04-17T16:42:55Z",
"id": 122,
"name": "Trailer Door V1Sensor",
"trailerId": 123,
"vehicleId": 124
}
]
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
List of sensor IDs to query.
List of sensor IDs to query.
[122]curl --request POST \
--url https://api.samsara.com/v1/sensors/door \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sensors": [
122
]
}
'{
"groupId": 101,
"sensors": [
{
"doorClosed": true,
"doorStatusTime": "2019-04-17T16:42:55Z",
"id": 122,
"name": "Trailer Door V1Sensor",
"trailerId": 123,
"vehicleId": 124
}
]
}